Get All States Endpoint
Retrieves the list of states that Syticks supports. E.g Lagos, Abuja, Kano, etc.
Query parameters
searchstringOptional
Filter states based on a search parameter. For example, if you pass "La" as the search term, it will return all states that contain "La".
pagestringOptional
Specifies the next page to fetch. This value is gotten with each request made.
per_pageinteger · int32Optional
Specifies the number of states per page. For example, if per_page is set to 10, the response will contain 10 states.
Responses
200
Successful retrieval of states.
application/json
successbooleanOptional
Indicates if the request was successful.
statusintegerOptional
HTTP status code (200 indicates success).
messagestringOptional
Human-readable description of the response.
400
Bad Request - Invalid input or query parameters.
application/json
500
Internal Server Error
application/json
get
/api/v1/merpi/transport/statesPreviousBus Ticketing(Routes, Terminals, Schedules, Buses, Purchase, etc)NextGet all Cities Endpoint
Last updated